NI VeriStand

cancel
Showing results for 
Search instead for 
Did you mean: 

.NET API - Veristand - The primary reference could not be resolved!

Solved!
Go to solution

Hi team,

 

Background on the error:

 

The original project was written with dll version 2018 which were running on veristand 2018.

I have to make it work on the veristand 2020 version.

So in the resources folder of the project - i deleted the existing dll and copied the veristand 2020 dll into it.

 

After that when I'm trying to build the project I'm getting the below error:

 

Severity Code Description Project File Line Suppression State
Warning The primary reference "NationalInstruments.VeriStand.APIInterface, Version=2018.1.0.0, Culture=neutral, PublicKeyToken=a6d690c380daa308, processorArchitecture=MSIL" could not be resolved because it has an indirect dependency on the assembly "NationalInstruments.VeriStand.SystemStorage, Version=8.0.0.0, Culture=neutral, PublicKeyToken=a6d690c380daa308" which was built against the ".NETFramework,Version=v4.6.2" framework. This is a higher version than the currently targeted framework ".NETFramework,Version=v4.6.1". AutoVeristand

 

I'm attaching the .NET target framework selected by me. I have tried changing the .NET framework to everything available in the list but it's still not working.

 

0 Kudos
Message 1 of 2
(216 Views)
Solution
Accepted by topic author ngupta4

Hello,

You have to install the .NET framework 4.6.2 (full version) on your development computer and change your VisualStudio project to target this framework (tab Application of the project's properties).

It seems also you still have a reference to a 2018 assembly: NationalInstruments.VeriStand.APIInterface, Version=2018.1.0.0, ... but this is not the root issue.

Regards

 

thumble_0-1610521364020.png

 

Message 2 of 2
(155 Views)